Bug 1139190 - Update to 1.2 & catch up gtk3
Summary: Update to 1.2 & catch up gtk3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluebird
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jayson Rowe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-08 10:44 UTC by poma
Modified: 2014-11-14 12:09 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-14 12:09:25 UTC


Attachments (Terms of Use)
Update to 1.2 & catch up gtk3 (6.53 KB, patch)
2014-09-08 10:44 UTC, poma
no flags Details | Diff
Bluebird - changes related to gtk+-3.13.[3-7] (5.05 KB, patch)
2014-09-10 20:48 UTC, poma
no flags Details | Diff
Fix based on upstream fix for checkboxes and radios in gtk3.14 (14.75 KB, patch)
2014-11-06 19:24 UTC, poma
no flags Details | Diff
Fix for checkboxes and radios in gtk3.14 - for upstream (6.40 KB, patch)
2014-11-07 08:23 UTC, poma
no flags Details | Diff
Upstream fix for checkboxes and radios in gtk3.14 (14.81 KB, patch)
2014-11-08 11:05 UTC, poma
no flags Details | Diff

Description poma 2014-09-08 10:44:17 UTC

Comment 1 poma 2014-09-08 10:44:56 UTC
Created attachment 935304 [details]
Update to 1.2 & catch up gtk3

Comment 2 poma 2014-09-10 20:48:32 UTC
Created attachment 936322 [details]
Bluebird - changes related to gtk+-3.13.[3-7]

Comment 3 Fedora Update System 2014-10-03 19:28:19 UTC
bluebird-1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bluebird-1.2-1.fc21

Comment 4 Fedora Update System 2014-10-10 15:59:16 UTC
bluebird-1.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 poma 2014-11-06 19:24:46 UTC
Created attachment 954604 [details]
Fix based on upstream fix for checkboxes and radios in gtk3.14


- Fix based on upstream 'fix for checkboxes and radios in gtk3.14'
  https://github.com/shimmerproject/Greybird/commit/6f8013c

- The "shadow" is re-enabled, the full size of the app menu in the system tray
  is resolved upstream - gtkmenu: fix unnecessary scroll buttons gtk-3-14
  https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-14&id=695ff38

  The same applies to the Shimmer Project Desktop Suites for Xfce as a whole,
  i.e. Greybird, Bluebird and Albatross.

  With these two corrections bugs #1114161, #1139190 and #1139187
  are solved completely.

Comment 6 poma 2014-11-07 08:23:02 UTC
Created attachment 954818 [details]
Fix for checkboxes and radios in gtk3.14 - for upstream

Comment 7 poma 2014-11-08 11:05:51 UTC
Created attachment 955200 [details]
Upstream fix for checkboxes and radios in gtk3.14

Comment 8 Fedora Update System 2014-11-09 20:46:48 UTC
bluebird-1.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/bluebird-1.2-2.fc21

Comment 9 Fedora Update System 2014-11-10 18:27:26 UTC
Package bluebird-1.2-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluebird-1.2-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14679/bluebird-1.2-2.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-11-14 12:09:25 UTC
bluebird-1.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.